Package bitel.billing.server.contract.bean

# Class ContractMemo

java.lang.Object
bitel.billing.server.contract.bean.ContractMemo

    @Deprecated
    public class ContractMemo
    extends java.lang.Object

Deprecated.
use `ContractNote`, `ContractNoteDao` and `ContractNoteService`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractMemo()` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` | Deprecated.
  `int` | `getContractId()` | Deprecated.
  `int` | `getId()` | Deprecated.
  `java.lang.String` | `getSubject()` | Deprecated.
  `java.util.Date` | `getTime()` | Deprecated.
  `int` | `getUserId()` | Deprecated.
  `boolean` | `isVisibled()` | Deprecated.
  `void` | `setComment​(java.lang.String comment)` | Deprecated.
  `void` | `setContractId​(int contractId)` | Deprecated.
  `void` | `setId​(int id)` | Deprecated.
  `void` | `setSubject​(java.lang.String subject)` | Deprecated.
  `void` | `setTime​(java.util.Date time)` | Deprecated.
  `void` | `setUserId​(int userId)` | Deprecated.
  `void` | `setVisibled​(boolean visibled)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractMemo

    public ContractMemo()
    Deprecated.

- ## Method Details

  - ### getComment

    public java.lang.String getComment()
    Deprecated.

  - ### setComment

    public void setComment​(java.lang.String comment)
    Deprecated.

  - ### getId

    public int getId()
    Deprecated.

  - ### setId

    public void setId​(int id)
    Deprecated.

  - ### getSubject

    public java.lang.String getSubject()
    Deprecated.

  - ### setSubject

    public void setSubject​(java.lang.String subject)
    Deprecated.

  - ### getTime

    public java.util.Date getTime()
    Deprecated.

  - ### setTime

    public void setTime​(java.util.Date time)
    Deprecated.

  - ### getUserId

    public int getUserId()
    Deprecated.

  - ### setUserId

    public void setUserId​(int userId)
    Deprecated.

  - ### getContractId

    public int getContractId()
    Deprecated.

  - ### setContractId

    public void setContractId​(int contractId)
    Deprecated.

  - ### isVisibled

    public boolean isVisibled()
    Deprecated.

  - ### setVisibled

    public void setVisibled​(boolean visibled)
    Deprecated.